// report.h
// Main module
// Prints a reports containing records of courses offered during
// previous years where records appearing in the report can be
// filtered by different criteria.
//
// Written by: Bienvenido Velez
// Copyright University of Puerto Rico - Mayaguez
//

#ifndef REPORT_H
#define REPORT_H

#include "DataRecord.h"
#include "filters.h"

void processRecords(istream& source, FilterCriteria c);
void printReportHeadings();
void printReportRecord(const DataRecord& r);
void printReportFooter(float avgAs, float avgBs, float avgCs, float avgDs,
		       float avgFs, float avgWs, float avgIs,
		       float avgTs);

#endif

